# immedioタグについての確認方法

## immedioタグが入っていることの確認方法

1. ブラウザの開発者ツールを開きます（通常はF12キー）。
2. 「要素」タブを選択します。
3. フォームページを開きます。
4. 「immedioConfig」で検索をして、フォーム用のタグが挿入されていることを確認します
5. サンクスページを開きます
6. 「immedioConfig」で検索をして、サンクス用のタグが挿入されていることを確認します

**immedioConfigが2回以上読み込まれていないことを確認してください。2回以上読み込まれている場合、immedioは正しく動作しません。**

## immedioタグの構造が正しいことの確認方法

通常、immedio管理画面からコピーしたものをそのまま利用していれば構造的な問題は発生しませんが、なんらかのきっかけで手動で操作した場合には、構造が不正なものになっていないかどうかを確認してください。

```
<script>
immedioConfig = {
    apiKey: 'xxx',
    pageType: 'form',
}
</script>
<script src="https://sdk.immedio.io/sdk.js"></script>
```

下記が全てチェックできれば確認はOKです。

* [ ] `<script>`タグが閉じていること。全ての`<script>`タグには、対応する閉じタグ`</script>`があります。こちらがそれぞれペアになっているか確認してください。コピペミスで二重で`</script>`タグを利用しているケースが多くみられます。
  * [ ] たとえば下記のようになっていたらNGです。
  * ```
    <script>
    immedioConfig = {
        apiKey: 'xxx',
        pageType: 'form',
    }
    </script></script>
    <script src="https://sdk.immedio.io/sdk.js"></script>
    ```
* [ ] apiKeyやpageType、その他自分で挿入した値の「`:`」の後の文字列（上記の表で言うと「xxx」と「form」）が、シングルクオート（`'`）で括られていること。
  * [ ] たとえば下記のようになっていたらNGです。cookieDomainの値がシングルクオートで括られていません。
  * ```
    <script>
    immedioConfig = {
        apiKey: 'xxx',
        pageType: 'form',
        cookieDomain: '.example.com
    }
    </script>
    <script src="https://sdk.immedio.io/sdk.js"></script>
    ```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.immedio.io/guides/tag-confirmation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
